Module | ActiveSupport::CoreExtensions::Time::Zones
In: | lib/active_support/core_ext/time/zones.rb

### Methods

in_time_zone

### Classes and Modules

Module ActiveSupport::CoreExtensions::Time::Zones::ClassMethods

### Public Instance methods

in_time_zone(zone = ::Time.zone)

Returns the simultaneous time in `Time.zone`.

      Time.zone = 'Hawaii'         # => 'Hawaii'
      Time.utc(2000).in_time_zone  # => Fri, 31 Dec 1999 14:00:00 HST -10:00

This method is similar to Time#localtime, except that it uses `Time.zone` as the local zone instead of the operating system‘s time zone.

You can also pass in a TimeZone instance or string that identifies a TimeZone as an argument, and the conversion will be based on that zone instead of `Time.zone`.

      Time.utc(2000).in_time_zone('Alaska')  # => Fri, 31 Dec 1999 15:00:00 AKST -09:00

[Validate]